DCMTK - Bug #19

Absturz von decmdjpeg bei defektem Bild
2008-05-29 00:00 - Marco Eichelberg

Status: Closed Start date:
Priority: High Due date:
Assignee: % Done:
Category: Estimated time:

Target version:

Module: dcmdata Compiler:

Operating System:

100%
0:00 hour

Description

Mail von Matthieu Malaterre vom 2008-05-05 "dcmdjpeg seg fault”

Bei einem defekten Beispielbild von Matthieu Malaterre stirzt decmdjpeg im
Decoder ab. Bei diesem Bild ist das erste Pixel Item offenbar leer, die
Langenangabe sagt "undefined length". Der Codec verlasst sich scheinbar
darauf, dass die Lénge > 0 ist und versucht, die JPEG-Daten zu parsen,
um festszustellen, welche Bittiefe der JPEG-Bitstream hat. An der Stelle
"knallts".

Beispielbild in:
/share/dicom/contrib/20080505_dcmdjpeg_crash_malaterre/

=== Kommentar JR (2009-04-28) ===

Absturz tritt beim aktuellen Snapshot nicht mehr auf.

History

#1 - 2014-09-22 16:53 - Michael Onken
- Description updated

- Private changed from No to Yes

#2 - 2015-01-15 13:41 - Michael Onken

- Private changed from Yes to No
